VM_PAGE_DONTNEED(9)

NAME
vm_page_dontneed - indicate that a page is not needed anymore

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_page_dontneed(vm_page_t m);

DESCRIPTION
The vm_page_dontneed() function advises the VM system that the given page is no longer required. If the page is already in the inactive queue or in the cache queue, this function does nothing; otherwise the page is deactivated.

Note that vm_page_dontneed() does not necessarily deactivate a page, but instead implements an algorithm that attempts to prevent small objects from having their pages reused too quickly, and large objects from flushing smaller ones from the queues as their pages are released.

SEE ALSO
vm_page_deactivate(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.